org.jboss.jca.core.api.management

## Class ConnectionFactory

- java.lang.Object
- - org.jboss.jca.core.api.management.ConnectionFactory

-     public class ConnectionFactory
      extends java.lang.Object

  Represents a managed connection factory instance
  Author:
    Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionFactory(java.lang.Object cf, javax.resource.spi.ManagedConnectionFactory mcf)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getConnectionFactory()` Get the connection factory instance.
    `java.lang.String` | `getJndiName()` Get the jndiName.
    `ManagedConnectionFactory` | `getManagedConnectionFactory()` Get the managed connection factory instance.
    `Pool` | `getPool()` Get the pool instance.
    `PoolConfiguration` | `getPoolConfiguration()` Get the pool configuration instance.
    `void` | `setJndiName(java.lang.String jndiName)` Set the jndiName.
    `void` | `setPool(Pool p)` Set the pool
    `void` | `setPoolConfiguration(PoolConfiguration pc)` Set the pool configuration
    `java.lang.String` | `toString()` String representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionFactory

          public ConnectionFactory(java.lang.Object cf,
                                   javax.resource.spi.ManagedConnectionFactory mcf)

      Constructor
      Parameters:
        `cf` - The connection factory
        `mcf` - The managed connection factory instance

  - ### Method Detail

    - #### getConnectionFactory

          public java.lang.Object getConnectionFactory()

      Get the connection factory instance. Note, that the value may be `null` if the connection factory was undeployed and this object wasn't cleared up correctly.
      Returns:
        The instance

    - #### getManagedConnectionFactory

          public ManagedConnectionFactory getManagedConnectionFactory()

      Get the managed connection factory instance. Note, that the value may be `null` if the managed connection factory was undeployed and this object wasn't cleared up correctly.
      Returns:
        The instance

    - #### getPool

          public Pool getPool()

      Get the pool instance. Note, that the value may be `null` if the pool was undeployed and this object wasn't cleared up correctly.
      Returns:
        The instance

    - #### setPool

          public void setPool(Pool p)

      Set the pool
      Parameters:
        `p` - The pool

    - #### getPoolConfiguration

          public PoolConfiguration getPoolConfiguration()

      Get the pool configuration instance. Note, that the value may be `null` if the pool configuration was undeployed and this object wasn't cleared up correctly.
      Returns:
        The instance

    - #### setPoolConfiguration

          public void setPoolConfiguration(PoolConfiguration pc)

      Set the pool configuration
      Parameters:
        `pc` - The pool configuration

    - #### getJndiName

          public java.lang.String getJndiName()

      Get the jndiName.
      Returns:
        the jndiName.

    - #### setJndiName

          public void setJndiName(java.lang.String jndiName)

      Set the jndiName.
      Parameters:
        `jndiName` - The jndiName to set.

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)